## httpry 0.1.7

=== Makefile ===
#
#  ----------------------------------------------------
#  httpry - HTTP logging and information retrieval tool
#  ----------------------------------------------------
#
#  Copyright (c) 2005-2012 Jason Bittel <jason.bittel@gmail.com>
#

CC		= gcc
CCFLAGS  	= -Wall -O3 -funroll-loops -I/usr/include/pcap -I/usr/local/include/pcap
DEBUGFLAGS	= -Wall -g -DDEBUG -I/usr/include/pcap -I/usr/local/include/pcap
LIBS		= -lpcap -lm -pthread
PROG		= httpry
FILES		= httpry.c format.c methods.c utility.c rate.c

.PHONY: all debug profile install uninstall clean

all: $(PROG)

$(PROG): $(FILES)
	$(CC) $(CCFLAGS) -o $(PROG) $(FILES) $(LIBS)

debug: $(FILES)
	@echo "--------------------------------------------------"
	@echo "Compiling $(PROG) in debug mode"
	@echo ""
	@echo "This will cause the program to run slightly"
	@echo "slower, but enables additional data verification"
	@echo "and sanity checks; recommended for testing, not"
	@echo "production usage"
	@echo "--------------------------------------------------"
	@echo ""
	$(CC) $(DEBUGFLAGS) -o $(PROG) $(FILES) $(LIBS)

profile: $(FILES)
	@echo "--------------------------------------------------"
	@echo "Compiling $(PROG) in profile mode"
	@echo ""
	@echo "This enables profiling so gprof can be used for"
	@echo "code analysis"
	@echo "--------------------------------------------------"
	@echo ""
	$(CC) $(CCFLAGS) -pg -o $(PROG) $(FILES) $(LIBS)

install: $(PROG)
	@echo "--------------------------------------------------"
	@echo "Installing $(PROG) into /usr/sbin/"
	@echo ""
	@echo "You can move the Perl scripts and other tools to"
	@echo "a location of your choosing manually"
	@echo "--------------------------------------------------"
	@echo ""
	cp -f $(PROG) /usr/sbin/
	cp -f $(PROG).1 /usr/man/man1/ || cp -f $(PROG).1 /usr/local/man/man1/

uninstall:
	rm -f /usr/sbin/$(PROG)
	rm -f /usr/man/man1/$(PROG).1 || rm -f /usr/local/man/man1/$(PROG).1

clean:
	rm -f $(PROG)

=== debian/changelog ===
httpry (0.1.7-3) unstable; urgency=low

  * Separate the init script from the binary package httpry:
    - New package httpry-daemon that contains the init script.
    - httpry-daemon breaks httrpy <= 0.1.7-2.
    - Add a news entry in debian/NEWS.

 -- Janos Guljas <janos@debian.org>  Thu, 08 Nov 2012 23:03:50 +0100

httpry (0.1.7-2) unstable; urgency=low

  * Remove non-existing httpry-daemon package from httpry's Suggests.
  * Only override dh_install for architecture independent packages.

 -- Janos Guljas <janos@debian.org>  Thu, 04 Oct 2012 13:14:26 +0200

httpry (0.1.7-1) unstable; urgency=low

  * Initial release. (Closes: #539665)

 -- Janos Guljas <janos@debian.org>  Wed, 03 Oct 2012 15:41:51 +0200

=== debian/control ===
Source: httpry
Section: net
Priority: optional
Maintainer: Janos Guljas <janos@debian.org>
Build-Depends: debhelper (>= 9), libpcap0.8-dev
Standards-Version: 3.9.4
Homepage: http://dumpsterventures.com/jason/httpry/
Vcs-Git: git://git.debian.org/collab-maint/httpry.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/httpry.git

Package: httpry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: httpry-daemon, httpry-tools
Description: HTTP logging and information retrieval tool
 httpry is a tool designed for displaying and logging HTTP traffic. It is not
 intended to perform analysis itself, but instead to capture, parse and/or
 log the traffic for later analysis. It can be run in real-time displaying
 the live traffic on the wire, or as a daemon process that logs to an output
 file. It is written to be as lightweight and flexible as possible, so that
 it can be easily adaptable to different applications. It does not display
 the raw HTTP data transferred, but instead focuses on parsing and displaying
 the request/response line along with associated header fields.
 .
 This package contains the httpry executable. Package httpry-daemon contains
 required init script for running httpry as a daemon. Scripts for parsing
 log files are provided by httpry-tools.

Package: httpry-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, httpry (= ${binary:Version})
Description: HTTP logging and information retrieval tool - debug symbols
 httpry is a tool designed for displaying and logging HTTP traffic. It is not
 intended to perform analysis itself, but instead to capture, parse and/or
 log the traffic for later analysis. It can be run in real-time displaying
 the live traffic on the wire, or as a daemon process that logs to an output
 file. It is written to be as lightweight and flexible as possible, so that
 it can be easily adaptable to different applications. It does not display
 the raw HTTP data transferred, but instead focuses on parsing and displaying
 the request/response line along with associated header fields.
 .
 This package contains the debug symbols for httpry. Install this package if
 you need to debug such a program or if you need a useful backtrace of a crash.

Package: httpry-daemon
Architecture: all
Depends: ${misc:Depends}, httpry (>= ${source:Version})
Breaks: httpry (<= 0.1.7-2)
Description: HTTP logging and information retrieval tool - daemon
 httpry is a tool designed for displaying and logging HTTP traffic. It is not
 intended to perform analysis itself, but instead to capture, parse and/or
 log the traffic for later analysis. It can be run in real-time displaying
 the live traffic on the wire, or as a daemon process that logs to an output
 file. It is written to be as lightweight and flexible as possible, so that
 it can be easily adaptable to different applications. It does not display
 the raw HTTP data transferred, but instead focuses on parsing and displaying
 the request/response line along with associated header fields.
 .
 This package contains required init script to run httpry as a daemon.

Package: httpry-tools
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: HTTP logging and information retrieval tool - log parsing scripts
 httpry is a tool designed for displaying and logging HTTP traffic. It is not
 intended to perform analysis itself, but instead to capture, parse and/or
 log the traffic for later analysis. It can be run in real-time displaying
 the live traffic on the wire, or as a daemon process that logs to an output
 file. It is written to be as lightweight and flexible as possible, so that
 it can be easily adaptable to different applications. It does not display
 the raw HTTP data transferred, but instead focuses on parsing and displaying
 the request/response line along with associated header fields.
 .
 This package contains log parsing scripts written in Perl.

=== debian/watch ===
version=3
http://githubredir.debian.net/github/jbittel/httpry /github/jbittel/httpry/httpry-(.+).tar.gz

## httpry 0.1.8

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #  httpry - HTTP logging and information retrieval tool
 #  ----------------------------------------------------
 #
-#  Copyright (c) 2005-2012 Jason Bittel <jason.bittel@gmail.com>
+#  Copyright (c) 2005-2014 Jason Bittel <jason.bittel@gmail.com>
 #
 
 CC		= gcc

=== debian/changelog ===
httpry (0.1.8-5) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Marcos Talau <talau@debian.org>  Sat, 15 Nov 2025 10:28:11 -0300

httpry (0.1.8-4) experimental; urgency=medium

  * QA upload.
  * debian/control: Bump Standards-Version to "4.7.2".
  * debian/copyright: Update packaging copyright information.
  * debian/upstream/metadata: Add upstream metadata information.

 -- Alfons Andrade <alfons@alunos.utfpr.edu.br>  Tue, 17 Jun 2025 15:00:19 -0300

httpry (0.1.8-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + httpry-tools: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 13:54:09 +0100

httpry (0.1.8-2) unstable; urgency=medium

  * QA upload.
  * debian/control: Set package maintainer to Debian QA Group.
  * debian/.git-dpm: Dropped, switch to gbp.
  * Apply wrap-and-sort -abst.
  * debian/control: Switch to debhelper-compat.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/control: Update Vcs-* fields.
  * debian/control: Drop manual -dbg package.
  * debian/rules: Enable full hardening.
  * debian/copyright: Use secure URI.
  * debian/watch: Update to v4 format.
  * debian/control: Use secure URI in homepage.
  * debian/httpry-daemon.httpry.{default,init.d}:
    + Always start daemon and discard $ENABLED (lintian error).

 -- Boyuan Yang <byang@debian.org>  Fri, 28 Jan 2022 21:20:22 -0500

httpry (0.1.8-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 14:51:53 +0100

httpry (0.1.8-1) unstable; urgency=medium

  [ Janos Guljas ]
  * New upstream release. (Closes: #762393)
  * Bump Standards-Version (no changes needed).
  * Update debian/watch file.
  * Update debian/copyright file.
  * Depend httpry-daemon on lsb-base (>= 3.0-6).
  * Update Vcs-* fileds in debian/control.

 -- Janos Guljas <janos@debian.org>  Mon, 03 Jul 2017 11:05:02 +0000

=== debian/control ===
Source: httpry
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 9),
 libpcap0.8-dev,
Standards-Version: 4.7.2
Homepage: https://dumpsterventures.com/jason/httpry/
Vcs-Git: https://salsa.debian.org/debian/httpry.git
Vcs-Browser: https://salsa.debian.org/debian/httpry

Package: httpry
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 httpry-daemon,
 httpry-tools,
Description: HTTP logging and information retrieval tool
 httpry is a tool designed for displaying and logging HTTP traffic. It is not
 intended to perform analysis itself, but instead to capture, parse and/or
 log the traffic for later analysis. It can be run in real-time displaying
 the live traffic on the wire, or as a daemon process that logs to an output
 file. It is written to be as lightweight and flexible as possible, so that
 it can be easily adaptable to different applications. It does not display
 the raw HTTP data transferred, but instead focuses on parsing and displaying
 the request/response line along with associated header fields.
 .
 This package contains the httpry executable. Package httpry-daemon contains
 required init script for running httpry as a daemon. Scripts for parsing
 log files are provided by httpry-tools.

Package: httpry-daemon
Architecture: all
Depends:
 httpry (>= ${source:Version}),
 lsb-base (>= 3.0-6),
 ${misc:Depends},
Breaks:
 httpry (<= 0.1.7-2),
Description: HTTP logging and information retrieval tool - daemon
 httpry is a tool designed for displaying and logging HTTP traffic. It is not
 intended to perform analysis itself, but instead to capture, parse and/or
 log the traffic for later analysis. It can be run in real-time displaying
 the live traffic on the wire, or as a daemon process that logs to an output
 file. It is written to be as lightweight and flexible as possible, so that
 it can be easily adaptable to different applications. It does not display
 the raw HTTP data transferred, but instead focuses on parsing and displaying
 the request/response line along with associated header fields.
 .
 This package contains required init script to run httpry as a daemon.

Package: httpry-tools
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
Multi-Arch: foreign
Description: HTTP logging and information retrieval tool - log parsing scripts
 httpry is a tool designed for displaying and logging HTTP traffic. It is not
 intended to perform analysis itself, but instead to capture, parse and/or
 log the traffic for later analysis. It can be run in real-time displaying
 the live traffic on the wire, or as a daemon process that logs to an output
 file. It is written to be as lightweight and flexible as possible, so that
 it can be easily adaptable to different applications. It does not display
 the raw HTTP data transferred, but instead focuses on parsing and displaying
 the request/response line along with associated header fields.
 .
 This package contains log parsing scripts written in Perl.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration='httpry-dbg (<< 0.1.8-2~)'

override_dh_auto_install:
	dh_auto_install --destdir=debian/httpry

override_dh_install-indep:
	dh_install
	chmod +x debian/httpry-tools/usr/share/httpry/parse_log.pl

override_dh_installdocs:
	dh_installdocs -Xdoc/ChangeLog -Xdoc/COPYING

override_dh_installinit:
	dh_installinit --name=httpry

override_dh_installlogrotate:
	dh_installlogrotate --name=httpry
